/////////////////////////////////////////////////////////
//Component Name: oppoworkflow2021.es
//Date: 12th February 2021
//Author: Jeff Richards
//Version tested under: 2021
//////////////////////////////////////////////////

/////////////////////////////////
//collect/initialize parameters//
/////////////////////////////////
var ConfirmConditions = Param('ConfirmConditions');
if (ConfirmConditions != 'on') {
    Valid = false;
    ErrorStr = "You have not confirmed acceptance of the disclaimer";
}

AddMessage("Installation of component started");


/*
Workflows that have been added or updated
*/

var jWorkflowId = AddCustom_Data('Workflow','work','work_workflowid','work_description,work_enabled','"New Opportunity","Y"','1');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_Stateid, WkTr_RuleId, WkTr_NextStateId',jWorkflowId+',0,0,0','1');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_Deleted',jWorkflowId+',1','1');
var jRuleId0 = 0;
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Start","","Y",','1,2');
var jNextStateId = 0;
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId0+',"","y","','1,2,3,4');
var jRuleId10155 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Create Opportunity","New","NewOpportunity.gif","Opportunity","","","",,"","Y","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10155 + ' WHERE WkRl_RuleId = ' + jRuleId10155 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10155 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_channelid","","ro","0","1","1","Opportunity","","DefaultValue=CurrentUser.user_primarychannelid;","","","6","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_priority","Normal","req","0","1","1","Opportunity","","","","","7","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_stage","Lead","ro","0","1","1","Opportunity","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_status","In Progress","ro","0","1","1","Opportunity","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_forecast","0","req","0","1","1","Opportunity","","","","","3","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);

var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_certainty","5","req","0","1","1","","","","","if (this.value >10)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rthis.value = 10;\n\r\n\r\n\r\n\rcrm.infoMessage(\x27Maximum '+
'value of certainty at this stage is 10\x27);\n\r\n\r\n\r\n\r}","4","",','');

var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_assigneduserid","#user_userid#","ro","1","1","1","Opportunity","","","","","5","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_targetclose","129600","req","0","1","1","Opportunity","","","","","8","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10155 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Start","","Y",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Lead","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10155+',"","y","','1,2,3,4');
var jRuleId10156 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Start Investigation","Pre","About.gif","Opportunity","","","",,"","Y","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10156 + ' WHERE WkRl_RuleId = ' + jRuleId10156 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10156 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"comm","#oppo_assigneduserid#","comm_action=ToDo,comm_subject=New Oppo Investigation: #oppo_description#.  ,comm_l'+
'ocation=,comm_note=New Oppo Investigation: #oppo_description#.  Ring and confirm d'+
'etails with #oppo_primarypersonid# of #oppo_primarycompanyid#.\n\r\n\rDetails: #oppo_n'+
'ote#,comm_status=Pending,comm_priority=Normal,comm_secterr=,comm_private=,comm_cre'+
'atedby=,comm_createddate=,comm_percentcomplete=,comm_completedtime=,comm_organizer'+
'=1,comm_datetime=,cmli_comm_userid=1,comm_todatetime=,comm_isalldayevent=,comm_tas'+
'kreminder=on,comm_notifydelta=30,comm_notifytime=,comm_smsnotification=,comm_chann'+
'elid=1,NewTaskTimeOffset=,","hidden","","","","","","OppoComm","","","","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_channelid","","ro","0","1","1","","","DefaultValue=CurrentUser.user_primarychannelid;","","","6","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_priority","Normal","req","0","1","1","","","","","","7","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_stage","Investigation","ro","0","1","1","","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_status","In Progress","ro","0","1","1","","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_forecast","0","req","0","1","1","","","","","","3","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_certainty","5","req","0","1","1","","","","","if (this.value >10)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rthis.value = 10;\n\r\n\r\n\r\n\rcrm.infoMessage(\x27Maximum '+
'value of certainty at this stage is 10\x27);\n\r\n\r\n\r\n\r}","4","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_assigneduserid","#user_userid#","ro","1","1","1","","","","","","5","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_targetclose","129600","req","0","1","1","","","","","","8","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10156 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Lead","","",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Investigating","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10156+',"","y","','1,2,3,4');
var jRuleId10157 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Process Opportunity","Pre","NewOpportunity.gif","Opportunity","","","",,"","","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10157 + ' WHERE WkRl_RuleId = ' + jRuleId10157 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10157 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_channelid","","ro","0","1","1","Opportunity","","DefaultValue=CurrentUser.user_primarychannelid;","","","6","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_priority","Normal","req","0","1","1","Opportunity","","","","","7","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_stage","Lead","ro","0","1","1","Opportunity","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_status","In Progress","ro","0","1","1","Opportunity","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_forecast","0","req","0","1","1","Opportunity","","","","","3","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_certainty","5","req","0","1","1","","","","","if (this.value >10)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rthis.value = 10;\n\r\n\r\n\r\n\rcrm.infoMessage(\x27Maximum '+
'value of certainty at this stage is 10\x27);\n\r\n\r\n\r\n\r}","4","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_assigneduserid","#user_userid#","ro","1","1","1","Opportunity","","","","","5","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_targetclose","129600","req","0","1","1","Opportunity","","","","","8","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10157 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Start","","Y",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Lead","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10157+',"","y","','1,2,3,4');
var jRuleId10158 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Reassign","Glob","reassign_user.gif","Opportunity","","","",2,"if (CurrentUser.user_userid == oppo_assigneduserid)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rValid = true;\n'+
'\r\n\r\n\r\n\r}\n\r\n\r\n\r\n\relse\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rValid = false;\n\r\n\r\n\r\n\r}","","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10158 + ' WHERE WkRl_RuleId = ' + jRuleId10158 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10158 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10158 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_assigneduserid","","req","0","1","1","Opportunity","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10158 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_channelid","","req","0","1","1","Opportunity","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10158 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Start","","Y",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Start","","Y",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10158+',"","n","','1,2,3,4');
var jRuleId10159 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Qualify","Pre","Advanced.gif","Opportunity","","","",,"if(OppoComm.comm_status == \x27Complete\x27)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rValid = true;\n\r\n\r\n\r\n\r}\n\r\n\r\n'+
'\r\n\relse\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rValid = false;\n\r\n\r\n\r\n\r}","","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10159 + ' WHERE WkRl_RuleId = ' + jRuleId10159 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10159 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_channelid","","ro","0","1","1","","","DefaultValue=CurrentUser.user_primarychannelid;","","","6","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_priority","Normal","req","0","1","1","","","","","","7","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_stage","Qualified","ro","0","1","1","","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_status","In Progress","ro","0","1","1","","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_forecast","0","req","0","1","1","","","","","","3","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_certainty","20","req","0","1","1","","","","","if (this.value >25)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rthis.value = 25;\n\r\n\r\n\r\n\rcrm.infoMessage(\x27Maximum '+
'value of certainty at this stage is 25\x27);\n\r\n\r\n\r\n\r}","4","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_assigneduserid","#user_userid#","ro","1","1","1","","","","","","5","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_targetclose","129600","req","0","1","1","","","","","","8","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10159 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Investigating","","",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Qualified","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10159+',"","y","','1,2,3,4');
var jRuleId10160 = AddCustom_Data('WorkflowRules','WkRl','WkRl_RuleId','WkRl_WorkflowId,WkRl_Entity,WkRl_Caption,WkRl_RuleType,WkRl_Image,WkRl_Table,WkRl_WhereClause,WkRl_Channel,WkRl_CustomFile,WkRl_Order,WkRl_JavaScript,WkRl_Cloneable,WkRl_Enabled,WkRl_RunInterval,WkRl_DotNet,WkRl_CustomFunction',jWorkflowId+',"Opportunity","Quotation Sent","Cond","Newdocument.gif","Opportunity","","","",,"var intRecordId = CRM.GetContextInfo(""opportunity"",""oppo_opportunityid"");\n\r\n\r\n\rv'+
'ar myRecord = CRM.FindRecord(""quotes"",""quot_opportunityid=""+intRecordId);\n\r\n\r\n\ri'+
'f (myRecord.eof)\n\r\n\r\n\r{\n\r\n\r\n\rValid = false;\n\r\n\r\n\r}\n\r\n\r\n\relse\n\r\n\r\n\r{\n\r\n\r\n\rValid = t'+
'rue;\n\r\n\r\n\r}","","Y","","","",','1,3,4');
RunSQL('UPDATE WorkflowRules SET WkRl_ActionGroupId = ' + jRuleId10160 + ' WHERE WkRl_RuleId = ' + jRuleId10160 + ' AND WkRl_ActionGroupId IS NULL');
RunSQL('DELETE FROM WorkflowActions WHERE WkAc_ActionId IN (SELECT AcLi_ActionId FROM WorkflowActionLinks WHERE AcLi_ActionGroupId = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ' ))');
RunSQL('DELETE FROM WorkflowActionLinks WHERE AcLi_ActionGroupID = (SELECT WkRl_ActionGroupID FROM WorkflowRules WHERE WkRl_RuleID = ' + jRuleId10160 + ' )');
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"message","","NoQuoteError","","0","1","1","","","","","","","n",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_channelid","","ro","0","1","1","","","DefaultValue=CurrentUser.user_primarychannelid;","","","6","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_priority","Normal","req","0","1","1","","","","","","7","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_stage","Quoted","ro","0","1","1","","","","","","1","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_status","In Progress","ro","0","1","1","","","","","","2","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"field","oppo_forecast","oppo_totalquotes","req","0","1","1","","","","","","3","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"","oppo_certainty","30","req","0","1","1","","","","","if (this.value >35)\n\r\n\r\n\r\n\r{\n\r\n\r\n\r\n\rthis.value = 35;\n\r\n\r\n\r\n\rcrm.infoMessage(\x27Maximum '+
'value of certainty at this stage is 35\x27);\n\r\n\r\n\r\n\r}","4","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_assigneduserid","#user_userid#","ro","1","1","1","","","","","","5","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jActionId = AddCustom_Data('WorkflowActions','WkAc','WkAc_ActionId','WkAc_Action,WkAc_Field,WkAc_Value,WkAc_Attributes,WkAc_NewLine,WkAc_RowSpan,WkAc_ColSpan,WkAc_Table,WkAc_EmailTo,WkAc_EmailBCC,WkAc_EmailSubject,WkAc_EmailBody,WkAc_Order,WkAc_Condition','"previous","oppo_targetclose","129600","req","0","1","1","","","","","","8","",','');
var LinkId = AddCustom_Data('WorkflowActionLinks','AcLi','AcLi_ActionLinkId','AcLi_ActionGroupId,AcLi_ActionId',-1+','+jActionId+',','');
RunSQL('UPDATE WorkflowActionLinks SET AcLi_ActionGroupID = (SELECT WkRl_ActionGroupId FROM WorkflowRules WHERE WkRl_RuleId = ' + jRuleId10160 + ') WHERE AcLi_ActionLinkId = ' +  LinkId);
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Qualified","","",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Qualified","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10160+',"n","n","','1,2,3,4');
var jStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Qualified","","",','1,2');
var jNextStateId = AddCustom_Data('WorkflowState','WkSt','WkSt_StateId','WkSt_WorkflowId,WkSt_Name,WkSt_Description,WkSt_IsEntryPoint',jWorkflowId+',"Quoted","","",','1,2');
AddCustom_Data('WorkflowTransition','WkTr','WkTr_TransitionId','WkTr_WorkflowId,WkTr_StateId,WkTr_NextStateId,WkTr_RuleId,WkTr_Condition,WkTr_Expanded',jWorkflowId+','+jStateId+','+jNextStateId+','+jRuleId10160+',"y","y","','1,2,3,4');




/*
Translations that have been added or updated
*/

FamilyType='Tags';
Family='ActionText';
Code='NoQuoteError';
Captions['UK']='You may may not progress to the next stage until you have provided a quote for the'+
' customer.';
Captions['US']='You may may not progress to the next stage until you have provided a quote for the'+
' customer.';
AddCaption();

FamilyType='Choices';
Family='Oppo_Stage';
Code='Negotiating';
CaptOrder=5;
Captions['DE']='In Verhandlung';
Captions['DU']='In onderhandeling';
Captions['ES']='Negociación en curso';
Captions['FR']='Négociation';
Captions['UK']='Negotiating';
Captions['US']='Negotiating';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Create Opportunity';
Captions['US']='Create Opportunity';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='New Opportunity';
Captions['DE']='New Opportunity';
Captions['DU']='Nieuwe opportunity';
Captions['ES']='Nueva Oportunidad';
Captions['FR']='Nouvelle opportunité';
Captions['UK']='New Opportunity';
Captions['US']='New Opportunity';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Process Opportunity';
Captions['US']='Process Opportunity';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Qualify';
Captions['DE']='Qualify';
Captions['DU']='Kwalificeren';
Captions['ES']='Calificar';
Captions['FR']='Accepté';
Captions['UK']='Qualify';
Captions['US']='Qualify';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Quotation Sent';
Captions['US']='Quotation Sent';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Reassign';
Captions['DE']='Reassign';
Captions['DU']='Opnieuw toewijzen';
Captions['ES']='Reasignar';
Captions['FR']='Ré-affecter';
Captions['UK']='Reassign';
Captions['US']='Reassign';
AddCaption();

FamilyType='Tags';
Family='WorkflowRule';
Code='Start Investigation';
Captions['US']='Start Investigation';
AddCaption();

FamilyType='Tags';
Family='WorkflowState';
Code='Investigating';
Captions['DE']='Untersuchung läuft';
Captions['DU']='Onderzoekende';
Captions['ES']='Investigando';
Captions['FR']='Investigation';
Captions['UK']='Investigating';
Captions['US']='Investigating';
AddCaption();

FamilyType='Tags';
Family='WorkflowState';
Code='Lead';
Captions['DE']='Interessent';
Captions['DU']='Lead';
Captions['ES']='Cliente Potencial';
Captions['FR']='Dossier Prospect';
Captions['UK']='Lead';
Captions['US']='Lead';
AddCaption();

FamilyType='Tags';
Family='WorkflowState';
Code='Qualified';
Captions['DE']='Qualifiziert';
Captions['DU']='Gekwalificeerd';
Captions['ES']='Calificado';
Captions['FR']='Qualifié';
Captions['UK']='Qualified';
Captions['US']='Qualified';
AddCaption();

FamilyType='Tags';
Family='WorkflowState';
Code='Quoted';
Captions['DE']='Angeboten';
Captions['DU']='Aangeboden';
Captions['ES']='Presupuestado';
Captions['FR']='Évalué';
Captions['UK']='Quoted';
Captions['US']='Quoted';
AddCaption();

